<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Add Student</title>
    <link th:rel="stylesheet" th:href="@{/webjars/bootstrap/css/bootstrap.min.css} "/>
    <script defer th:src="@{/webjars/bootstrap/js/bootstrap.bundle.min.js}"></script>
</head>
<body class="container">
<form method="post" th:object="${student}">
    <div th:if="${#fields.hasAnyErrors()}" class="alert alert-danger">
        <p>The form contained errors!</p>
    </div>
    <div>
        <label class="form-label" th:for="firstname">Firstname</label>
        <input type="text" class="form-control" th:field="*{firstname}">
        <div th:if="${#fields.hasErrors('firstname')}" class="alert alert-danger">
            <p th:errors="*{firstname}">The name has errors!</p>
        </div>
    </div>
    <div>
        <label class="form-label" th:for="lastname">Lastname</label>
        <input type="text" class="form-control" th:field="*{lastname}">
        <div th:if="${#fields.hasErrors('lastname')}" class="alert alert-danger">
            <p th:errors="*{lastname}">The name has errors!</p>
        </div>
    </div>
    <div>
        <label class="form-label" th:for="birthdate">Birthdate</label>
        <input type="date" class="form-control" th:field="*{birthdate}">
        <div th:if="${#fields.hasErrors('birthdate')}" class="alert alert-danger">
            <p th:errors="*{birthdate}">The BirthDate has errors!</p>
        </div>
    </div>
    <div>
        <label class="form-label" th:for="length">length</label>
        <input type="number" step="any" class="form-control" th:field="*{length}">
    </div>
    <div>
        <label class="form-label" th:for="credits">credits</label>
        <input type="number" step="any" class="form-control" th:field="*{credits}">
    </div>
    <div>
        <label class="form-label" th:for="studentType">programme</label>
        <input type="text" class="form-control" th:field="*{studentType}">
    </div>
    <div>
        <button type="submit" class="btn btn-primary mt-2">Add</button>
    </div>
</form>

</body>
</html>